Package ghidra.app.util.bin.format.macho

# Class MachHeaderFileTypes

java.lang.Object
ghidra.app.util.bin.format.macho.MachHeaderFileTypes

public final class MachHeaderFileTypes extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MH_BUNDLE`
  dynamically bound bundle file
  `static final int`
  `MH_CORE`
  core file
  `static final int`
  `MH_DSYM`
  linking only, no section contents, companion file with only debug sections
  `static final int`
  `MH_DYLIB`
  dynamically bound shared library
  `static final int`
  `MH_DYLIB_STUB`
  shared library stub for static linking only, no section contents
  `static final int`
  `MH_DYLINKER`
  dynamic link editor
  `static final int`
  `MH_EXECUTE`
  demand paged executable file
  `static final int`
  `MH_FILESET`
  kernel cache fileset
  `static final int`
  `MH_FVMLIB`
  fixed VM shared library file
  `static final int`
  `MH_KEXT_BUNDLE`
  x86_64 kexts
  `static final int`
  `MH_OBJECT`
  relocatable object file
  `static final int`
  `MH_PRELOAD`
  preloaded executable file

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MachHeaderFileTypes()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final String`
  `getFileTypeDescription(int fileType)`
  `static final String`
  `getFileTypeName(int fileType)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### MH_OBJECT

    public static final int MH_OBJECT
    relocatable object file
    See Also:
      - Constant Field Values

  - ### MH_EXECUTE

    public static final int MH_EXECUTE
    demand paged executable file
    See Also:
      - Constant Field Values

  - ### MH_FVMLIB

    public static final int MH_FVMLIB
    fixed VM shared library file
    See Also:
      - Constant Field Values

  - ### MH_CORE

    public static final int MH_CORE
    core file
    See Also:
      - Constant Field Values

  - ### MH_PRELOAD

    public static final int MH_PRELOAD
    preloaded executable file
    See Also:
      - Constant Field Values

  - ### MH_DYLIB

    public static final int MH_DYLIB
    dynamically bound shared library
    See Also:
      - Constant Field Values

  - ### MH_DYLINKER

    public static final int MH_DYLINKER
    dynamic link editor
    See Also:
      - Constant Field Values

  - ### MH_BUNDLE

    public static final int MH_BUNDLE
    dynamically bound bundle file
    See Also:
      - Constant Field Values

  - ### MH_DYLIB_STUB

    public static final int MH_DYLIB_STUB
    shared library stub for static linking only, no section contents
    See Also:
      - Constant Field Values

  - ### MH_DSYM

    public static final int MH_DSYM
    linking only, no section contents, companion file with only debug sections
    See Also:
      - Constant Field Values

  - ### MH_KEXT_BUNDLE

    public static final int MH_KEXT_BUNDLE
    x86_64 kexts
    See Also:
      - Constant Field Values

  - ### MH_FILESET

    public static final int MH_FILESET
    kernel cache fileset
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MachHeaderFileTypes

    public MachHeaderFileTypes()

- ## Method Details

  - ### getFileTypeName

    public static final String getFileTypeName(int fileType)

  - ### getFileTypeDescription

    public static final String getFileTypeDescription(int fileType)